Summary:     Instant Messaging and XML Platform
Name:        jabber
Version:     1.4.4
Release:     12.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://jabberd.jabberstudio.org/downloads/jabberd-%{version}.tar.gz
Source1:     jabberd.init
URL:         http://www.%{name}.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Jabber Software Foundation
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    glibc openssl097 pth expat libidn mysql
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/ldconfig /sbin/chkconfig /usr/sbin/groupadd
Prereq:      /usr/sbin/useradd
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel openssl097-devel pth-devel expat-devel libidn-devel
BuildPrereq: mysql-devel
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).


%prep
%setup -q -n jabberd-%{version}
mv jabberd/README jabberd/README.jabberd


%build
export CFLAGS="$RPM_OPT_FLAGS -I/usr/kerberos/include"
export LDFLAGS="-L/usr/lib/mysql"
./configure \
	--prefix=/usr/jabber     \
	--sysconfdir=/etc/jabber \
	--localstatedir=/var     \
	--mandir=/usr/share/man  \
	--enable-shared          \
	--enable-static          \
	--enable-legacy          \
	--enable-ipv6            \
	--enable-debug           \
	--enable-ssl             \
	--with-mysql
make all


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/usr
make \
	DESTDIR=$RPM_BUILD_ROOT \
	install
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd
rm -f $RPM_BUILD_ROOT/etc/jabber/jabber.xml; touch $RPM_BUILD_ROOT/etc/jabber/jabber.xml

# Add JHOME to platform-settings
echo                           >> platform-settings
echo "# Jabber base directory" >> platform-settings
echo "JHOME=/usr/jabber"       >> platform-settings
echo                           >> platform-settings
install -m 0755 platform-settings $RPM_BUILD_ROOT/usr/jabber/bin
ln -s include $RPM_BUILD_ROOT/usr/jabber/jabberd


%pre
if ! grep jabber /etc/group > /dev/null 2>&1; then
   /usr/sbin/groupadd jabber > /dev/null 2>&1
fi
if ! grep jabber /etc/passwd > /dev/null 2>&1; then
   /usr/sbin/useradd -g jabber -G jabber -d /usr/jabber \
	-r -s /dev/null jabber > /dev/null 2>&1
fi


%post
if ! grep "/usr/jabber/lib" /etc/ld.so.conf > /dev/null 2>&1; then
  echo "/usr/jabber/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig
/sbin/chkconfig --add jabberd
/sbin/chkconfig jabberd on
if [ -s /etc/jabber/jabber.xml ]; then
   if [ -f /var/lock/subsys/jabberd ]; then
      /etc/rc.d/init.d/jabberd restart
   fi
fi


%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig jabberd off
   /sbin/chkconfig --del jabberd
   if [ -f /var/lock/subsys/jabberd ]; then
      /etc/rc.d/init.d/jabberd stop
   fi
fi


%postun
if [ $1 = 0 ]; then
  grep -v "/usr/jabber/lib" /etc/ld.so.conf > tmpfile
  cat tmpfile > /etc/ld.so.conf; rm -f tmpfile
fi
/sbin/ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README* TODO UPGRADE
%doc jabberd/README* pthsock/CREDITS pthsock/README*
%doc generateSSLkey selfsigned.cnf 
%dir %attr(750,root,jabber) /etc/jabber
%config(noreplace) %attr(640,root,jabber) /etc/jabber/jabber.xml
/etc/jabber/jabber.xml.dist
%config /etc/rc.d/init.d/*
%dir /usr/jabber
/usr/jabber/jabberd
%dir /usr/jabber/bin
/usr/jabber/bin/*
%dir /usr/jabber/include
/usr/jabber/include/*
%dir /usr/jabber/lib
/usr/jabber/lib/*
/usr/share/man/man5/*
/usr/share/man/man8/*
%dir %attr(750,jabber,jabber) /var/log/jabberd
%dir %attr(750,jabber,jabber) /var/run/jabberd
%dir %attr(750,jabber,jabber) /var/spool/jabberd


%changelog
* Wed Jul 13 2005 peter.pramberger@member.fsf.org
- new version 1.4.4
- removed package devel

* Sat Jun 26 2004 peter.pramberger@member.fsf.org
- compiled against openssl097
- moved /etc/jabber.xml to /etc/jabber/jabber.xml
- some spec file cleanups

* Thu Nov 20 2003 peter.pramberger@member.fsf.org
- new version 1.4.3

* Fri Jun 27 2003 peter.pramberger@member.fsf.org
- compiled for RH73

* Fri Feb 28 2003 peter.pramberger@member.fsf.org
- minor bugfixes

* Fri May 17 2002 peter.pramberger@member.fsf.org
- created

